GETPEERNAME(2)

NAME
getpeername - get name of connected peer

SYNOPSIS

getpeername(s, name, namelen)
int s;
struct sockaddr *name;
int *namelen;

DESCRIPTION
Getpeername returns the name of the peer connected to socket s. The namelen parameter should be initialized to indicate the amount of space pointed to by name. On return it contains the actual size of the name returned (in bytes). The name is truncated if the buffer provided is too small.

DIAGNOSTICS
A 0 is returned if the call succeeds, -1 if it fails.

ERRORS
The call succeeds unless:

[EBADF]
    The argument s is not a valid descriptor.

[ENOTSOCK]
    The argument s is a file, not a socket.

[ENOTCONN]
    The socket is not connected.

[ENOBUFS]
    Insufficient resources were available in the system to perform the operation.

[EFAULT]
    The name parameter points to memory not in a valid part of the process address space.

SEE ALSO
accept(2), bind(2), socket(2), getsockname(2)